<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
 *	  Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

	<title>Registering the NetBeans Sources and Javadoc</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
	<h2>Registering the NetBeans Sources and Javadoc</h2>
<p><small> 
<a href="#seealso">See Also</a> 
</small></p>



<p>The NetBeans Platform Manager is a tool for registering different NetBeans platforms with the IDE.
A NetBeans platform can be an installation of the <a href="../about/about-netbeans-platform.html">NetBeans Platform</a> or an
installation of the NetBeans IDE.

The default platform is always configured, and is the running IDE. Even in the case that a target platform is the complete IDE, 
you can easily create an application based only on the platform subset, so that there is little need to download the NetBeans Platform separately. 

 The NetBeans Platform Manager lists all your registered NetBeans platforms in the left pane and
 lists the platform that the IDE currently deploys to as the default.

<p>You can open the NetBeans Platform Manager by choosing Tools &gt; NetBeans Platform Manager.

<p>Using the NetBeans Platform Manager, you can: 
<ul>
   <li>Register a new platform. </li>
   <li>View a registered platform's available modules.</li>
   <li>Register source code for a platform in the Sources
   tab. If you register the sources, you do not need to register Javadoc separately, because Javadoc is
   included in the sources. Either the ZIP file containing the sources or the unpacked root folder 
   can be registered in the Sources tab. You can download the NetBeans sources from <object CLASSID="java:org.netbeans.modules.javahelp.BrowserDisplayer">
    <param name="content" value="http://bits.netbeans.org/downloads/index.html">
    <param name="text" value="<html><u>http://bits.netbeans.org/downloads/index.html</u>.</html>">
    <param name="textFontSize" value="medium">
    <param name="textColor" value="blue">
</object></li>
   <li>Register Javadoc documentation 
   for a platform in the Javadoc tab. Javadoc is available from the Plugins manager as "NetBeans API Documentation".
    Choose Tools &gt; Plugins to access the Plugins manager.</li>
</ul>
<p>Once you have registered a platform, you can configure a module project to use
	 that platform for deployment. Go to the project's Project
	 Properties dialog box, select the Libraries node, and choose the appropriate
	platform in the NetBeans Platform drop-down list. 
<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd>  <a href="../about/nbmodule-about.html">About NetBeans Platform and Module Development</a></dd>
    <dd><a href="../about/about-netbeans-platform.html">About the NetBeans Platform</a></dd>
</dl> 
<hr>
<small><a href="../credits.html">Legal Notices</a></small> 
<table cellpadding="20" border="0"> 
<tr><td>&nbsp;</td></tr> 
<tr><td>&nbsp;</td></tr> 
<tr><td>&nbsp;</td></tr> 
</table> 
</body></html>
